package cl.jtv;
/*
 * SharedInteger.java
 *
 * Created on 22 de julio de 2002, 03:13 AM
 */

/**
 *
 * @author  Administrador
 * @version 
 */
public class SharedInteger {

    /** Creates new SharedInteger */
    
    private int value;
    private static int maxValue;
    public static final int DEFAULT_MAX_VALUE=35; 
    
    public SharedInteger() {
        value = 0;
    }
    
    static{
        maxValue = DEFAULT_MAX_VALUE;  
    }
    
    public int getValue(){
        return value;
        
    }
    
    public void setValue(int val){  
        value = val;     
    }
    
    public static int getMaxValue(){
        return maxValue;
    }
    
    public static void setMaxValue(int _maxValue){    
        maxValue = _maxValue;
    }
    
    public void incrValue(){    
        value++;   
    }
    
    public void reset(){    
        value = 0;    
    }

}
